<?php

namespace Modules\Country\Interfaces;

use Illuminate\Http\Request;
use Modules\Country\Models\Country;

interface CountryRepositoryInterface
{
    public function get(Request $request);
    public function getItem(Country $country);
    public function save(Request $request, ?Country $country): Country;
    public function destroy(Request $request, int $id): array;
    public function destroyAll(Request $request): array;
    public function restore(Request $request, int $id): array;
    public function restoreAll(Request $request): array;
}
